'''
Created on 09/04/2011

@author: emea
'''
import pygame
import sys
import os
import data

class Instructions(object):
    
    INSTRUCTION_IMAGE1 = data.filepath("Instructions1.png")
    
    def __init__(self, screen):

        self.screen = screen
        self.intro_image1 = pygame.image.load(self.INSTRUCTION_IMAGE1).convert()
        
        self.clock = pygame.time.Clock()   

    def quit(self):
        '''Exit the game
        '''
        
        sys.exit()
    
    def start(self):
        self.intro = self.intro_image1
        bg_rect = self.intro_image1.get_rect()
        counter = 0
        skip_intro = False
        while True:
            time_passed = self.clock.tick(30)

            for event in pygame.event.get():
                if event.type == pygame.QUIT:
                    self.quit()
                elif event.type == pygame.KEYDOWN:
                    if event.key == pygame.K_ESCAPE or event.key == pygame.K_q:
                        skip_intro = True
            if skip_intro == True:
                break
            if counter > 800:
                return 1
                break
            counter = counter + 1
            self.screen.blit(self.intro, bg_rect)
            pygame.display.flip()