'''
Created on 03/04/2011

@author: emea
'''
class Option:
 
    def __init__(self, font1, font2, title, x, y, parity, functionAssigned, screen):
        self.screen = screen
        self.normal_image = font1.render(title, 1, (0, 0, 0))
        self.marked_image = font2.render(title, 1, (244, 244, 1))
        self.image = self.normal_image
        self.rect = self.image.get_rect()
        self.rect.x = 500 * parity
        self.y_initial = y
        self.rect.y = self.y_initial
        self.functionAssigned = functionAssigned
        self.x = float(self.rect.x)
 
    def update(self):
        destiny_x = 375
        self.x += (destiny_x - self.x) / 5.0
        self.rect.x = int(self.x)
 
    def printScreen(self):
        self.screen.blit(self.image, self.rect)
 
    def mark(self, estate):
        if estate:
            self.image = self.marked_image
            self.rect.y = self.y_initial - 5
        else:
            self.image = self.normal_image
            self.rect.y = self.y_initial
 
    def activate(self):
        self.functionAssigned()