'''
Created on 03/04/2011

@author: emea
'''

import pygame
import os
import Intro
import Menu
#import EndPlayer
#import EndCom


class Game(object):
    ''' Main class of the game
    '''
    # Game parameters
    SCREEN_WIDTH = 800
    SCREEN_HIGH = 600

    def __init__(self, music):
        '''Initializes the basic information for the game
        '''
        
        os.environ['SDL_VIDEO_CENTERED'] = '1'
        pygame.init()
        
        self.music = music
        self.screen = pygame.display.set_mode((self.SCREEN_WIDTH, self.SCREEN_HIGH),0,32)
        pygame.display.set_caption("The treacherous salsa dancer")

        self.intro = Intro.Intro(self.screen, self.music)
        #self.ending_player = EndPlayer.EndPlayer(self.screen, self.music)
        #self.ending_com = EndCom.EndCom(self.screen, self.music)
        self.menu = Menu.Menu(self.screen, self.music)


    def run(self):
        ''' Entry point for the game
        '''
        
        self.intro.start()
        #self.ending_player.start()
        #self.ending_com.start()
        self.menu.start()



if __name__ == '__main__':
    game = Game()
    game.run()