'''
Created on 07/04/2011

@author: emea
'''
import Instruction

class Player(object):
    (NOT_DANCING, DANCING, END_DANCING_OK, END_DANCING_NO_OK) = range(4)
    def __init__(self, dancer):
        self.dancer = dancer
        self.instructions = []
        self.counter = 0
        self.dancing_result = self.NOT_DANCING
    
    def check_instructions(self, instructions):
        self.dancing_result = self.DANCING
        self.counter = 200
        self.instructions = instructions

    
    def update(self):
        if self.dancing_result == self.DANCING:
            if len(self.instructions) == 0:
                self.dancing_result = self.END_DANCING_OK
                
            if self.counter > 0:
                self.counter = self.counter - 1
            else:
                self.dancing_result = self.END_DANCING_NO_OK
    
    def get_dacing_result(self):
        return self.dancing_result
    
    def move_left_up(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.LEFT_UP:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK
    
    def move_up(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.UP:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK
    
    def move_right_up(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.RIGHT_UP:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK
                
    def move_left(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.LEFT:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK

    def move_middle(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.MIDDLE:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK

    def move_right(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.RIGHT:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK

    def move_left_down(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.LEFT_DOWN:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK

    def move_down(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.DOWN:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK

    def move_right_down(self):
        if len(self.instructions)>0:
            instr = self.instructions[0]
            if instr.get_movement() == Instruction.Instruction.RIGHT_DOWN:
                self.instructions.pop(0)
            else:
                self.dancing_result = self.END_DANCING_NO_OK