'''
Created on 09/04/2011

@author: emea
'''
from pygame.sprite import Sprite
import data
import pygame
import AnimatedSprite
import SpriteSheet

class ScorePanel(Sprite):
    def __init__(self, screen):
        self.screen = screen
        self.SCORE_PANEL = data.filepath("ScorePanel.png")
        self.GIRL_DANCER = data.filepath("Minigirl.png")
        
        self.score_panel_image = pygame.image.load(self.SCORE_PANEL).convert_alpha()
        self.score_panel_image_rect = self.score_panel_image.get_rect()
        self.score_panel_image_rect.x = 5
        self.score_panel_image_rect.y = 20
        
        self.girl_dancer = AnimatedSprite.AnimatedSprite(SpriteSheet.images_list(55,65, self.GIRL_DANCER))
        self.girl_dancer_rect = self.girl_dancer.image.get_rect()
        self.girl_dancer_rect.x = 370
        self.to_x = self.girl_dancer_rect.x
        self.x = self.girl_dancer_rect.x
        self.girl_dancer_rect.y = 60
        
        self.player_score = 0
        self.com_score = 0
    
    def player_win_round(self):
        self.player_score = self.player_score + 1
        self.to_x = self.girl_dancer_rect.x - 41
    
    def com_win_round(self):
        self.com_score = self.com_score + 1
        self.to_x = self.girl_dancer_rect.x + 41
    
    def get_player_score(self):
        return self.player_score
    
    def get_com_score(self):
        return self.com_score
    
    def update(self):
        self.x += (self.to_x - self.x) / 10.0
        self.girl_dancer_rect.x = int(self.x)
        self.girl_dancer.update(pygame.time.get_ticks())
    
    def draw(self):
        self.screen.blit(self.score_panel_image, self.score_panel_image_rect)
        self.screen.blit(self.girl_dancer.image, self.girl_dancer_rect)