'''
Created on 03/04/2011

@author: emea
'''
import pygame

def image_at(index, width, high, filename):
    """
    Loads the image position 'index' in the spritesheet 'filename'
    being 'width' and 'high' the width and the high of the spritesheet
    """
    master_image = pygame.image.load(filename).convert_alpha()
    image = master_image.subsurface((index*width,0,width,high))
    return image

def images_list(w, h, filename):
    """
    Loads all images in the spritesheet in a list. Width and high are the size of the spritesheet
    """
    images_list = []
    master_image = pygame.image.load(filename).convert_alpha()

    master_width, master_height = master_image.get_size()
    for i in xrange(int(master_width/w)):
        images_list.append(master_image.subsurface((i*w,0,w,h)))
    return images_list